package calc;

import calc.operation.Adder;
import calc.operation.Subtractor;
import calc.operation.Multiplier;
import calc.operation.Divider;
import calc.operation.Squarer;

public class Calculator {

    // Сложение
    public int add(int a, int b) {
        return Adder.calculate(a, b);
    }

    // Вычитание
    public int sub(int a, int b) {
        return Subtractor.calculate(a, b);
    }

    // Умножение
    public int mul(int a, int b) {
        return Multiplier.calculate(a, b);
    }

    // Деление
    public int div(int a, int b) {
        return Divider.calculate(a, b);
    }

    // Дополнительная операция – возведение в квадрат
    public int square(int a) {
        return Squarer.calculate(a);
    }
}
